package br.com.dclick.business  
{
	import br.com.dclick.model.domain.vo.Contact;
	import br.com.dclick.model.domain.vo.Person;
	
	import mx.rpc.IResponder;
	  
    /**
     * 
     * @author pablo.souza
     * 
     * Business delegate para AgendaService
     * 
     */       
      
    public class AgendaServiceDelegate
    {  
        private var responder : IResponder;  
          
        public function AgendaServiceDelegate(responder : IResponder)  
        {  
            this.responder = responder;
            
        }     
  
        public function getAllContacts():Array  
        {  
        	var person:Person = new Person();
        	person.idperson = 1;
        	person.firstname = "Pablo";
        	person.lastname = "Souza";
        	
        	var contact:Contact = new Contact();
        	contact.idcontact = 1;
        	contact.person = person;
        	contact.address = "Rua Florida, 1703 - São Paulo, SP";
        	contact.phone_number = "(11) 5506-5154";
        	
        	var arr:Array = new Array();
        	arr.push(contact);
        	
        	return arr;
        	
        }  
  
        public function getAllPerson():Array  
        {  
        	var person:Person = new Person();
        	person.idperson = 1;
        	person.firstname = "Pablo";
        	person.lastname = "Souza";
        	
        	var arr:Array = new Array();
        	arr.push(person);
        	
        	return arr;

        }  
    }  
}     