package br.com.dclick.control
{
	import br.com.dclick.control.command.CreateContactCmd;
	import br.com.dclick.control.command.DeleteContactCmd;
	import br.com.dclick.control.command.GetAllContactsCmd;
	import br.com.dclick.control.command.GetAllPersonCmd;
	import br.com.dclick.control.events.ContactEvent;
	import br.com.dclick.control.events.PersonEvent;
	
	import com.adobe.cairngorm.control.FrontController;
	
	public class AgendaController extends FrontController
	{
		
		public function AgendaController()
		{
			addCommand(ContactEvent.EVENT_CONTACT_GET_ALL, GetAllContactsCmd);
			addCommand(ContactEvent.EVENT_CONTACT_CREATE, CreateContactCmd);
			addCommand(ContactEvent.EVENT_CONTACT_DELETE, DeleteContactCmd);
			addCommand(PersonEvent.EVENT_PERSON_GET_ALL, GetAllPersonCmd);
		}
	}
}