package br.com.dclick.control.command
{
	import br.com.dclick.model.ModelLocator;
	import br.com.dclick.model.domain.AgendaModel;
	
	import mx.controls.Alert;
	import mx.rpc.events.FaultEvent;
		

	/**
	 * @author pablo.souza
	 * 
	 * Super classe dos Commands.
	 * 
	 * Recupera referência para o domain model da aplicação.
	 * 
	 */
	
	public class AbstractAgendaCommand
	{
		protected var agendaModel:AgendaModel = ModelLocator.getInstance().agendaModel;
		
		public function fault(info:Object):void
		{
			var faultEvt:FaultEvent = info as FaultEvent;
			Alert.show(faultEvt.fault.toString(), "ERRO");
		}
	}
}