package br.com.dclick.control.events
{
	import br.com.dclick.model.domain.vo.Contact;
	
	import com.adobe.cairngorm.control.CairngormEvent;
	
	import flash.events.Event;
	

	public class ContactEvent extends CairngormEvent
	{
		
		public static const EVENT_CONTACT_GET_ALL:String = "getAllContacts";
		public static const EVENT_CONTACT_GET:String = "getContact";
		public static const EVENT_CONTACT_CREATE:String = "createContact";
		public static const EVENT_CONTACT_UPDATE:String = "updateContact";
		public static const EVENT_CONTACT_DELETE:String = "deleteContact";
		
		public var contact:Contact;
		
		public function ContactEvent(pType:String, pContact:Contact=null)
		{
			contact = pContact;
			super(pType);
		}
		
		override public function clone():Event
		{
			return new ContactEvent(type, contact);
		}
		
		
	}
}