package br.com.dclick.model.presentation
{
	import br.com.dclick.control.events.ContactEvent;
	import br.com.dclick.model.domain.AgendaModel;
	import br.com.dclick.model.domain.vo.Contact;
	
	/**
	 * 
	 * @author pablo.souza
	 * 
	 * Presentation Model para os detalhes dos Contatos
	 * 
	 */
	
	[Bindable]
	public class ContactDetailsPM extends AbstractPM
	{
		
		public var agendaModel:AgendaModel;
		
		/**
		 * 
		 * @param pModel - Domain Model da aplicação
		 * @return 
		 * 
		 */		
		public function ContactDetailsPM(pModel:AgendaModel)
		{
			agendaModel = pModel;
		}

		public function deleteContact():void
		{
			new ContactEvent(ContactEvent.EVENT_CONTACT_DELETE, agendaModel.currentContact).dispatch();
		}
		
		public function createContact(pContact:Contact):void
		{
			new ContactEvent(ContactEvent.EVENT_CONTACT_CREATE, pContact).dispatch();
		}
	
		public function updateContact(pContact:Contact):void
		{
			// implementar			
		}
		
	}
}